{*<!--

/*********************************************************************************
** The contents of this file are subject to the vtiger CRM Public License Version 1.0
 * ("License"); You may not use this file except in compliance with the License
 * The Original Code is:  vtiger CRM Open Source
 * The Initial Developer of the Original Code is vtiger.
 * Portions created by vtiger are Copyright (C) vtiger.
 * All Rights Reserved.
*
 ********************************************************************************/

-->*}
{**
 * Creates the HTML to display a cell of a Detail View style table for a given user interface type.
 * Without AJAX 'quick edit' capability.
 * Note: Table layouts in this file must match DetailViewUI.tpl!
 *
 * @param integer $keyid	User interface type that determines the formatting style to apply.
 * @param string  $keyval	Data to be displayed.
 * @param string  $keyfldname
 * @param string  $keytblname	??? Passed to AJAX JavaScript.
 * @param array   $keyoptions	Choices if widget is a Picklist or Multi Select Combo Box.
 * @param string  $label	Label displayed for the data field, e.g. "Last Name".
 * @param string  $keysalut
 * @param string  $value
 * @param boolean $keyadmin	Boolean = 1 for administrator, else 0.
 * @param string  $keyseclink	html link to ???
 * @param object  $MODULE	module name.
 * @param string  $CHANGE_PW_BUTTON
 * @param object  $APP			Application strings.  Labels which vary depending on language setting.
 * @param integer $CURRENT_USERID	Ident number for current user.
 * @param mixed   $TAX_DETAILS
 * @param string  $ID
 * @param string  $IMAGE_PATH	Path to where images (e.g. *.gif) are found.
 * @todo  	  		Replace upper case variable names with lower case except for global constants.
 *  		  		Warning: If/when changing case note both $ID and $id are used in this file below!
 * @todo			2006-10-22: Above @param types and descriptions needs checking by vtiger developers.
*}
<!-- {$smarty.template}: This file is used to display a fields based on the ui type -->
{if $keyid eq '1' || $keyid eq 2 || $keyid eq '11' || $keyid eq '7' || $keyid eq '9' || $keyid eq '55' || $keyid eq '71' || $keyid eq '72'} <!--TextBox-->
	<td class="dvtCellInfo">
		{if $keyid eq '55'}<!--SalutationSymbol-->
			{$keysalut}
		{*elseif $keyid eq '71' || $keyid eq '72'}  <!--CurrencySymbol-->
			    {$keycursymb*}
		{/if}
		{$keyval}
	</td>
{elseif $keyid eq '13' || $keyid eq '104'} <!--Email-->
	<td class="dvtCellInfo"><a href="mailto:{$keyval}" target="_blank">{$keyval}</a>
	</td>
{elseif $keyid eq '15' || $keyid eq '16' || $keyid eq '111'} <!--Pick List ComboBox-->
	<td class="dvtCellInfo">{$keyval}
	</td>
{elseif $keyid eq '17'} <!--WebSite-->
	<td class="dvtCellInfo"><a href="http://{$keyval}" target="_blank">{$keyval}</a>
	</td>
{elseif $keyid eq '19' || $keyid eq '20'} <!--TextArea: Description, Comment, Notes etc -->
	{* These wide items must begin in column 2 of a four column Detail View *}
	<td colspan="3" style="width:90%" class="dvtCellInfo">{$keyval}		    
	</td>
{elseif $keyid eq '21' || $keyid eq '24' || $keyid eq '22'} <!--TextArea/Street-->
	<td class="dvtCellInfo">{$keyval}
	</td>
{elseif $keyid eq '50' || $keyid eq '73' || $keyid eq '51' || $keyid eq '57' || $keyid eq '59' || $keyid eq '75' || $keyid eq '81' || $keyid eq '76' || $keyid eq '78' || $keyid eq '80'} <!--AccountPopup-->
	<td class="dvtCellInfo"><a href="{$keyseclink}">{$keyval}</a>
	</td>
{elseif $keyid eq 82} <!--Email Body-->
	<td colspan="3" style="width:100%;" class="dvtCellInfo">{$keyval}
	</td>
{elseif $keyid eq '53'} <!--Assigned To-->
	<td class="dvtCellInfo">
	{if $keyseclink eq ''}
		{$keyval}
	{else}
		<a href="{$keyseclink}">{$keyval}</a>	      
	{/if}
		&nbsp;
	</td>
{elseif $keyid eq '56'} <!--CheckBox--> 
	<td class="dvtCellInfo">{$keyval}&nbsp;
	</td>	  
{elseif $keyid eq 83}<!-- Handle the Tax in Inventory -->
	<td style="width:auto" class="dvtCellLabel">
		{$APP.LBL_VAT} {$APP.COVERED_PERCENTAGE}
	</td>
	<td style="width:auto;" class="dvtCellInfo">
		{$VAT_TAX}
	</td>
		<td colspan="2" style="width:auto;" class="dvtCellInfo">&nbsp;</td>
	</tr>
	<tr>
		<td class="dvtCellLabel">
			{$APP.LBL_SALES} {$APP.LBL_TAX} {$APP.COVERED_PERCENTAGE}
		</td> 
		<td style="width:auto;" class="dvtCellInfo">
			{$SALES_TAX}
		</td>	
		<td colspan="2" style="width:auto;" class="dvtCellInfo">&nbsp;</td>
	</tr>
	<tr>
	<td style="width:auto;" align="right" class="dvtCellLabel">
		{$APP.LBL_SERVICE} {$APP.LBL_TAX} {$APP.COVERED_PERCENTAGE}
	</td>
	<td style="width:auto;" class="dvtCellInfo">&nbsp;
		{$SERVICE_TAX}
	</td>
{elseif $keyid eq '69'}<!-- for customer Photo/Image Reflection -->
	<td colspan="3" class="dvtCellInfo">{$keyval}</td>
{else} {* Other ui types *}
	<td class="dvtCellInfo">{$keyval}</td>
{/if}
